be.fgov.ehealth.addressbook.core.v1

## Class ProfessionalInformation

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.ProfessionalAddressbookType
  - - be.fgov.ehealth.addressbook.core.v1.ProfessionalInformation

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:27:32+01:00",
                 comments="JAXB RI v2.3.7")
      public class ProfessionalInformation
      extends ProfessionalAddressbookType
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionalAddressbookType">
             <sequence>
               <element name="EHealthBox" type="{urn:be:fgov:ehealth:addressbook:core:v1}EHealthBoxType" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfessionalInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EHealthBoxType` | `getEHealthBox()` Gets the value of the eHealthBox property.
    `void` | `setEHealthBox(EHealthBoxType value)` Sets the value of the eHealthBox property.

    - ### Methods inherited from class be.fgov.ehealth.aa.complextype.v1.ProfessionalAddressbookType

      `getAddresses, getHealthCareAdditionalInformations, getProfession, setProfession`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfessionalInformation

          public ProfessionalInformation()

  - ### Method Detail

    - #### getEHealthBox

          public EHealthBoxType getEHealthBox()

      Gets the value of the eHealthBox property.
      Returns:
        possible object is `EHealthBoxType`

    - #### setEHealthBox

          public void setEHealthBox(EHealthBoxType value)

      Sets the value of the eHealthBox property.
      Parameters:
        `value` - allowed object is `EHealthBoxType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.